#include<bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);

    int a,b,x,y;//a b finalni x y poluvreme
    cin>>a>>b>>x>>y;

    if(x==a&&y==b)
    {
        cout<<"nijedan";
        return 0;
    }
    if(x==a)
    {
        cout<<"drugi";
        return 0;
    }
    if(y==b)
    {
        cout<<"prvi";
        return 0;
    }
    cout<<"?";
    return 0;
}